# Toxins Weapon Rebalance 

Little passion project i did for fun, rebalancing most guns to make playing with projectiles fun and make gunplay feel fresh without heavily nerfing things.
### This Mod is intended to be used with [Gazyi.ProjectileVelocity](https://github.com/Gazyi/Gazyi.ProjectileVelocity/tree/main) 
This mod has been conceptualized and implemented to be used with the Hitscan to Projectile Mod made by Gazyi. 
As a consequence: to join a server running this, both mods are required on the client.

See below for a more comprehensive changelist
However most notably almost all weapons are now pinpoint accurate while hipfiring but have received a very significant increase in hipfire recoil, as well as various little tweaks that feed into a big picture change

Many thanks to Gazyi for making the projectile mod and many thanks to MentalEdge because i copied a few select thigs from their weapon rebalance mod

Many thanks to shin/shinpact for helping me playtest and for the valuable feedback he's given me <3

I am glad for any feedback about the mod and i am very open to adapting it based on that feedback so dont hestitate to contact me via discord @ toxin_veins

(As i am releasing this right now i have a server up running it so if you want to try it out in multiplayer search for "Toxins all projectile hellhole")

assume no changes if its not listed

----------
## SMGs:
    - General
        - more hipfire recoil
        - more ADS recoil
        - no hipfire spread (except a tiny amount on r97)
        - slight damage increase at all ranges (except volt has a very different damage profile now)
        - Movement speed in ADS is the same as not aiming

    - CAR 
        - reduced mag 30 -> 26 (32 with extended mag)
        - reloads slower (credit: MentalEdge)
        
    - Volt
        - removed jank viewdrift
        - clip size reduced 33 -> 28 (35 extended mag)
	    - reduced firerate slightly
        - increased damage 25 -> 28 / 15 -> 23 / 12 -> 16
	    - increased damage range 1000 -> 1200 / 1500 -> 2400 / 3000 -> 3100
        - reloads slower

    - Alternator
        - added a little more vertical recoil

- with projectile mod its harder to hit on range therefore a slight range damage increase 
should compensate for the added difficulty to kill on range but not too much
- more ADS recoil to dampen the viability of smgs on greater ranges
- trying to make the volt bridge ARs and SMGs


------------
## Assault rifles:
    - General
        - increased hipfire recoil (more than smgs)
        - no hipfire spread
        - slight damage and varying range increase on flatline, rspn301, hemlok (hemlok has a lot more range)
        - Movement speed in ADS is the same as not aiming 100% (except g2, still got buffed to 50% -> 80%)

    - Rspn201 and OG variant
        - decreased ADS recoil

    - Hemlok 
        - burst delay decreased
        - decreased ADS recoil
        - headsot multiplier x2

    - Flatline
        - bit of horizontal recoil (inspired by: MentalEdge [but ive done it differently])
        - reduced ADS recoil very slightly
        - added recoil on first shot

    - G2
        - increased ADS recoil
        - gets a bit of spread when rapidly hipfiring

- ARs should be close but worse than smgs when it comes to hipfire
- ADS on ARs should be prefferable generally, so i reduced the ADS recoil on all except G2. 


-------------
## Snipers:
    - General
        - reduced spread (spread in air and wallrunning is same as standing)
        - added crosshairs 
        - Movement speed in ADS increased 50% -> 80% (except kraber)

    - Double Take
        - FOV increased on ironsights (credit: Max_DoubleTakeIronsightFOVFix)
        - ricochet attachment can bounce 4 times now


-------------
## Grenadier:
    - General 
        - Movement speed in ADS is the same as not aiming 100%

    - Coldwar
        - reduced reload time (credit: MentalEdge)
        - reduced spread
        - slightly increased direct hit damage

    - SMR 
        - reduced direct hit damage 70 -> 60
        - increased explosion damage and explosion range
        - replaced rocket trails with kraber trails -> less obstructing while firing
        - reduced spread
        - increased recoil

    - Softball
        - removed spread


- i felt like the smr explosions were pretty much negligable. this makes it so that wallrunning players can be more easily caught.
explosion range was not hugely increased, still smallest explosion radius of any weapon
takes 4-7 indirect hits to kill a pilot.


-------------
## LMGs:
    - General
        - no hipfire spread
        - Movement speed in ADS increased 50% -> 80% 

    - spitfire
        - reduced mag to 50 (68 with extended mag)
        - reduced damage 33 -> 24 -> 19 
        - ADS recoil increase
        - hipfire recoil increase

    - LSTAR
        - range damage increase 18 -> 20
        - range increase 2000 -> 2700

    - devotion
        - slight ADS and hipfire recoil increase 
        - range increased 1800 -> 2400 / 2200 -> 3200
        - slightly more damage 25 -> 28 / 20 -> 23 / 15 -> 16

- lstar is now very powerful at range
- spitfire damage decreased to be more in line with ARs as there is not much separating ARs and LMGs now

-------------
## Shotguns:
    - General
        - Movement speed in ADS is the same as not aiming 100%

    - Eva 
        - range increase and ranged damage increase 10(flat) -> 14 x 8 to infinity
        - massive damage decrease 250 -> 112 | 14 x 8 to 800 so 8 pellets hitting needed to kill
        - spread reduction (cant say how much because projectile spread works diffrently)
        - recoil increased
        - slight firerate decrease

    - Mastiff 
        - +1 Bullet
        - slight close range damage increase same amount of shots to kill 20 -> 24
        - range for close range damage increased 350 -> 450
        - more long range damage 12 -> 16
        - more long range damage distance 750 -> 1150
        - zoom in time reduced 0.25 -> 0.2

- hoping to make mastiff feel a bit more consistent overall, damage increase should not change hits needed to kill on close range but make hits do more consistent damage on range

- eva gets more range and less spread to compensate for slow projectiles and a bit wonky hit registering. spread reduction should reward better tracking, might tighten more


-------------
## Sidearms:
    - General
        - much less hipfire spread
        - heavily increased hipfire recoil
        - silencers dont decrease damage (credit: MentalEdge)
        - Movement speed in ADS is the same as not aiming 100%

    - autopistol 
        - slightly more range

    - semipistol
        - medium range damage increase

    - Wingman (secondary)
        - damage increase (40 -> 55 / 40 -> 49 / 30 -> 35)

    - mozambique
        - headshot multiplier x2
        - range increase (1000 -> 2000)
        - long range damage decrease (25 -> 18)

- i made the autopistol have pretty terrible recoil and a bit of spread so i adjusted the damage a bit upwards
- mozambique has way more max range now so i adjusted long range damage down


-------------
## AT:
    - Thunderbolt 
        - +2 reserve ammo
        - direct hit and explosion damage vs npcs and pilots increased
        ( can oneshot kill pilots with a direct hit or the inner blast radius )

    - MGL 
        - explosion radius increased 
        - damage against npcs and pilots increased
        - slightly faster reload

    - Charge Rifle 
        - decreased ammo pool 20 -> 12 (25 -> 17)
        - fast charge damage increased 55 -> 80

- i felt like giving other anti titan weapons a bit of combat viability too since the 
charge rifle can already act as a sniper


-------------
## Ordnance (ALL changes are directly copied from MentalEdge.MentalreBalance)
    - Arc Grenade
        - Activates quicker 0.75s -> 0.2s (buff)
        - Damage reduced 40 -> 20
        - Splash radius changed 75 >- 150 / 350 -> 350

    - Electric Smoke
        - Damage increased 150 -> 170 (buff)
        - Effective radius increased 50 -> 100 / 210 -> 230 (buff)

    - Satchel
        - Larger splash radius 120 -> 200 / 250 -> 250 (buff)
        - Titan damage decreased 2200 -> 1250

-------------
## Tactical (directly copied from MentalEdge.MentalreBalance)
    - Holopilot
        - Provides cloak for 1.8 seconds on decoy creation (buff)
        - Decoy copies owner health bar appearance (buff)
        - Decoy health increased 50 > 65 (buff)
        - Cooldown increased, 20 seconds per charge
        - Second charge cannot be used before cloak expires

-------------
## List of things i yoinked from MentalEdge.MentalreBalance (with permission)
    - holopilot ability
    - coldwar reload times
    - CAR reload times
    - Flatline horizontal recoil
    - silencers dont decrease damage
    - satchel
    - emp nade
    - electric smoke

> any other overlapping changes are coincidental
i found out about this mod only after i was quite far with my own implementation of most things



Made with love by Toxin

discord @ toxin_veins



⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣴⣷⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣤⣄⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢰⣿⣷⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⢠⣿⡏⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣰⣿⣧⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢰⣿⣿⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠘⣿⣿⡆⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⢸⣿⣧⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣿⣿⣿⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠸⣿⣿⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⣿⣿⡇⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠸⣿⣿⡀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢰⣿⣿⡏⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣿⣿⡇⠀⠀⠀⠀⠀⠀⠀⠀⠀⣸⣿⣿⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢿⣿⣧⠀⠀⠀⠀⠀⠀⠀⠀⢀⣾⣿⣿⠁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠹⣿⣿⡄⠀⠀⠀⠀⠀⠀⠀⢠⣿⣿⡏⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠈⣿⣿⣷⣄⠀⠀⠀⠀⠀⣠⣾⣿⣿⠃⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠹⣿⣿⣦⡀⠀⠀⠀⠀⣰⣿⣿⡟⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⣀⣠⣤⣤⣤⣀⠈⢿⣿⣿⣷⣦⣤⣴⣾⣿⣿⡿⠁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⡀⠀⠀⠀⠘⢿⣿⣿⣶⣤⣶⣿⣿⡿⠋⠀⢀⣠⠴⠒⠒⠒⠢⣄⠀⠀
⠀⢀⡴⠋⠁⠀⠀⠀⠀⠈⠓⢦⡀⠉⠻⠿⣿⣿⡿⠿⠟⠉⠀⠀⢸⣿⡀⠀⠀⠀⠀⠀⠀⠀⠀⣿⣿⡆⠀⠀⠀⠀⠀⠈⠛⠿⠿⠿⠟⠋⠀⣠⠞⠁⠀⠀⠀⠀⠀⠀⠀⠀⠹⣄
⢠⠏⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠱⡄⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢸⣿⣇⠀⠀⢀⣤⣄⠀⠀⣸⣿⣿⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢰⠃⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠘
⡎⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢱⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢿⣿⣦⣠⣾⣿⣿⣷⣶⣿⡿⠃⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⡏⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⡜⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠙⠿⠿⠿⠋⠙⠛⠛⠋⠁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣇⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀
⠸⡀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⡼⠁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠘⣆⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⠎
⠀⠙⠦⠀⠀⠀⠀⠀⠀⣠⠴⢋⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠈⠲⣤⡀⠀⠀⠀⡤⠔⠋⠀

### Version Changelist

#### 0.1.0

- beta release candidate


